Subject: Sorting order

From: [email-masked] (Trond Eivind Glomsrød)
Date: 19 Apr 2000 16:31:09 -0400

Someone put this in bugzilla (http://bugzilla.redhat.com/bugzilla/ -
our bugtracking system), and asked for it to be forwarded as he claims
[email-masked] (the address on the pine web page) to be
bouncing.

************************************************************************
Pine 4.10 has a message sorting function on the index screen, accessed with 
 the '$' command. However, there is a problem with the 'F' (From) suboption 
 in that it tends to intermingle different senders together.

 Looking at the "From:" lines in the messages in question, I would suspect 
 that it is actually sorting by the sender's username (the part of the email 
 address prior to the '@' character), and doesn't have any means of 
 separating different people with the same username.

 As an example of this, take messages from the following users:

       Alan Cox <[email-masked]>
       Alan Modra <[email-masked]>
       Alan Cox <[email-masked]>

 I currently have a pine session running with the Linux-Kernel emails sorted 
 by "From", and those three names occur intermingled as follows:

       Alan Cox <[email-masked]>
       Alan Modra <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Cox <[email-masked]>
       Alan Modra <[email-masked]>

 That's just choosing a small section thereof - I have nearly 100 emails 
 from Alan Cox in total. However, the only thing they all have in common is 
 that the sender's username is "alan" as stated above.

 Can I suggest that this be changed to use the full email address when 
 sorting, rather than the current broken behaviour?

 Also, can somebody with the ability to do so please forward this to the 
 pine development team for comments, as I can't find any means for me to 
 contact them !!! 
************************************************************************
-- 
Trond Eivind Glomsrød
Red Hat, Inc.
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------